import java.awt.*;

public class BoundedBall extends MovableBall {
    private Frame myWorld;

    public BoundedBall( int x, int y, int r,
                       double dx, double dy, Frame aWorld ) {
        super( x, y, r, dx, dy );
        myWorld = aWorld;
    } // end BoundedBall constructor

    public void move() {
        super.move();

        int maxHeight = myWorld.getHeight();
        int maxWidth  = myWorld.getWidth();
	Insets insets = myWorld.getInsets();

        if ( (x()-radius() < insets.left) 
	     || (x()+radius() > maxWidth-insets.right) )
            setMotion( -xMotion(), yMotion() );

        if ( (y()-radius() < insets.top) 
	     || (y()+radius() > maxHeight - insets.bottom) )
            setMotion( xMotion(), -yMotion() );
    } // end move
} // end class BoundedBall
